Index: trunk/kernel/mm/kmem.c
===================================================================
--- trunk/kernel/mm/kmem.c	(revision 181)
+++ trunk/kernel/mm/kmem.c	(revision 188)
@@ -82,26 +82,24 @@
 uint32_t  kmem_type_size( uint32_t type )
 {
-	if     ( type == KMEM_PAGE )          return CONFIG_PPM_PAGE_SIZE;
-	else if( type == KMEM_GENERIC )       return 0;
-	else if( type == KMEM_KCM )           return sizeof( kcm_t );
-	else if( type == KMEM_VSEG )          return sizeof( vseg_t );
-	else if( type == KMEM_DEVICE )        return sizeof( chdev_t );
-	else if( type == KMEM_MAPPER )        return sizeof( mapper_t );
-	else if( type == KMEM_PROCESS )       return sizeof( process_t );
-	else if( type == KMEM_CPU_CTX )       return sizeof( hal_cpu_context_t );
-	else if( type == KMEM_FPU_CTX )       return sizeof( hal_fpu_context_t );
-	else if( type == KMEM_BARRIER )       return sizeof( remote_barrier_t );
-
-	else if( type == KMEM_FATFS_INODE )   return sizeof( fatfs_inode_t );
-	else if( type == KMEM_FATFS_CTX )     return sizeof( fatfs_ctx_t );
-	else if( type == KMEM_DEVFS_INODE )   return sizeof( devfs_inode_t );
-	else if( type == KMEM_MUTEX )         return sizeof( remote_mutex_t );
-	else if( type == KMEM_VFS_CTX )       return sizeof( vfs_ctx_t );
-	else if( type == KMEM_VFS_INODE )     return sizeof( vfs_inode_t );
-	else if( type == KMEM_VFS_DENTRY )    return sizeof( vfs_dentry_t );
-	else if( type == KMEM_VFS_FILE )      return sizeof( vfs_file_t );
-	else if( type == KMEM_SEM )           return sizeof( remote_sem_t );
-	else if( type == KMEM_CONDVAR )       return sizeof( remote_condvar_t );
-
+    if     ( type == KMEM_PAGE )          return CONFIG_PPM_PAGE_SIZE;
+    else if( type == KMEM_GENERIC )       return 0;
+    else if( type == KMEM_KCM )           return sizeof( kcm_t );
+    else if( type == KMEM_VSEG )          return sizeof( vseg_t );
+    else if( type == KMEM_DEVICE )        return sizeof( chdev_t );
+    else if( type == KMEM_MAPPER )        return sizeof( mapper_t );
+    else if( type == KMEM_PROCESS )       return sizeof( process_t );
+    else if( type == KMEM_CPU_CTX )       return CONFIG_CPU_CTX_SIZE;
+    else if( type == KMEM_FPU_CTX )       return CONFIG_FPU_CTX_SIZE;
+    else if( type == KMEM_BARRIER )       return sizeof( remote_barrier_t );
+
+    else if( type == KMEM_DEVFS_CTX )     return sizeof( fatfs_ctx_t );
+    else if( type == KMEM_FATFS_CTX )     return sizeof( fatfs_ctx_t );
+    else if( type == KMEM_VFS_CTX )       return sizeof( vfs_ctx_t );
+    else if( type == KMEM_VFS_INODE )     return sizeof( vfs_inode_t );
+    else if( type == KMEM_VFS_DENTRY )    return sizeof( vfs_dentry_t );
+    else if( type == KMEM_VFS_FILE )      return sizeof( vfs_file_t );
+    else if( type == KMEM_SEM )           return sizeof( remote_sem_t );
+    else if( type == KMEM_CONDVAR )       return sizeof( remote_condvar_t );
+    else if( type == KMEM_MUTEX )         return sizeof( remote_mutex_t );
 	else if( type == KMEM_512_BYTES )     return 512;
 
@@ -123,15 +121,13 @@
 	else if( type == KMEM_BARRIER )       return "KMEM_BARRIER";
 
-	else if( type == KMEM_FATFS_INODE )   return "KMEM_FATFS_INODE";
-	else if( type == KMEM_FATFS_CTX )     return "KMEM_FATFS_CTX";
-	else if( type == KMEM_DEVFS_INODE )   return "KMEM_DEVFS_INODE";
-	else if( type == KMEM_MUTEX )         return "KMEM_MUTEX";
-	else if( type == KMEM_VFS_CTX )       return "KMEM_VFS_CTX";
-	else if( type == KMEM_VFS_INODE )     return "KMEM_VFS_INODE";
-	else if( type == KMEM_VFS_DENTRY )    return "KMEM_VFS_DENTRY";
-	else if( type == KMEM_VFS_FILE )      return "KMEM_VFS_FILE";
-	else if( type == KMEM_SEM )           return "KMEM_SEM";
-	else if( type == KMEM_SEM )           return "KMEM_CONDVAR";
-
+    else if( type == KMEM_DEVFS_CTX )     return "KMEM_DEVFS_CTX";
+    else if( type == KMEM_FATFS_CTX )     return "KMEM_FATFS_CTX";
+    else if( type == KMEM_VFS_CTX )       return "KMEM_VFS_CTX";
+    else if( type == KMEM_VFS_INODE )     return "KMEM_VFS_INODE";
+    else if( type == KMEM_VFS_DENTRY )    return "KMEM_VFS_DENTRY";
+    else if( type == KMEM_VFS_FILE )      return "KMEM_VFS_FILE";
+    else if( type == KMEM_SEM )           return "KMEM_SEM";
+    else if( type == KMEM_CONDVAR )       return "KMEM_CONDVAR";
+    else if( type == KMEM_MUTEX )         return "KMEM_MUTEX";
 	else if( type == KMEM_512_BYTES )     return "KMEM_512_BYTES";
 
